PDGBTRS(l)

NAME
PDGBTRS - solve a system of linear equations A(1:N, JA:JA+N-1) * X = B(IB:IB+N-1, 1:NRHS)

SYNOPSIS

SUBROUTINE PDGBTRS(
    TRANS, N, BWL, BWU, NRHS, A, JA, DESCA, IPIV, B, IB, DESCB, AF, LAF, WORK, LWORK, INFO )

CHARACTER
    TRANS

INTEGER
    BWU, BWL, IB, INFO, JA, LAF, LWORK, N, NRHS

INTEGER
    DESCA( * ), DESCB( * ), IPIV(*)

DOUBLE
    PRECISION A( * ), AF( * ), B( * ), WORK( * )

PURPOSE
PDGBTRS solves a system of linear equations
                        or
          A(1:N, JA:JA+N-1)' * X = B(IB:IB+N-1, 1:NRHS)

where A(1:N, JA:JA+N-1) is the matrix used to produce the factors stored in A(1:N,JA:JA+N-1) and AF by PDGBTRF.
A(1:N, JA:JA+N-1) is an N-by-N real
banded distributed
matrix with bandwidth BWL, BWU.

Routine PDGBTRF MUST be called first.